// See https://stackoverflow.com/questions/22125865/how-to-wait-until-a-predicate-condition-becomes-true-in-javascript

export const sleep = (ms: number) => {
  return new Promise((resolve) => setTimeout(resolve, ms));
};

export const until = async (fn: any, ms: number = 0) => {
  while (!fn()) {
    await sleep(ms);
  }
};
